
package jp.riken.brain.ni.samuraigraph.figure.java2d;

import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;


/**
 * @author LANDAU
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
public interface SGIDrawingElementJava2D
{

	/**
	 * 
	 * @return
	 */
	public Rectangle2D getElementBounds();


	/**
	 * 
	 * @param g2d
	 * @param clipRect
	 */
	public void paint( Graphics2D g2d, Rectangle2D clipRect );


	/**
	 * 
	 */
	public void paintElement( final Graphics2D g2d );

}
